Skip to main content
POST
/
workspaces
/
{workspace_id}
/
mcp-integrations
/
connect
Error
A valid request URL is required to generate request examples
{
  "mcp_integration": {
    "id": "<string>",
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "slug": "<string>",
    "server_uri": "<string>",
    "oauth_integration_id": "<string>",
    "stdio_command": "<string>",
    "stdio_args": [
      "<string>"
    ],
    "timeout": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "has_stdio_env": false,
    "tools": [
      {
        "name": "<string>",
        "description": "<string>",
        "enabled": true,
        "requires_approval": false,
        "status": "available"
      }
    ]
  },
  "auth_url": "<string>",
  "provider_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json

Request model for creating an HTTP MCP integration.

name
string
required

MCP integration name

Required string length: 3 - 255
server_uri
string
required

MCP server endpoint URL (required for http type)

description
string | null

Optional description

Maximum string length: 512
timeout
integer | null
default:30

Timeout in seconds

Required range: 1 <= x <= 300
catalog_slug
string | null

Platform MCP catalog slug this workspace config is created from

Maximum string length: 255
server_type
string
default:http
Allowed value: "http"
auth_type
enum<string>
default:NONE

Authentication type (for http type)

Available options:
OAUTH2,
CUSTOM,
NONE
oauth_integration_id
string<uuid> | null

OAuth integration ID (required for oauth2 auth_type)

custom_credentials
string<password> | null

Custom credentials as JSON headers. Required for custom auth type; optional additional headers for OAuth2 auth type.

Response

Successful Response

Response for connecting a platform MCP catalog entry.

status
enum<string>
required
Available options:
connected,
oauth_redirect
mcp_integration
MCPIntegrationRead · object | null

Response model for MCP integration.

auth_url
string | null
provider_id
string | null